Support » Plugin: Page Restrict » Warning: Creating default object from empty value

Viewing 3 replies - 1 through 3 (of 3 total)
  • I have got the same problem. I’m working with wordpress 3.42

    Hi, greendolphin, it seems i have just solve this problem. Just open the \pagerestrict\pagerestrict.php file, replace the “->” in line 65 with “_”. It do works for me!

    relish1227

    (@relish1227)

    I noticed a similar warning with a different plugin (http://wordpress.org/support/topic/plugin-magic-fields-php-54-compatibility?replies=6#post-3706704) after upgrading to PHP 5.4. Guessing that this also somehow relates to PHP 5.4?

    I actually just commented out that line 65, as it just seems to be setting the comment_status to closed. (Thinking it wouldn’t affect me because I don’t have comments open anyways). That resolved the issue for now. However, would be better if this was in the next plugin upgrade. Whaddya think, plugin authors?

    Thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Warning: Creating default object from empty value’ is closed to new replies.